Bug 103027 - Bad blocks during install causes failure with AOpen AX4C Max mobo, dual-channel DDR RAM
Bad blocks during install causes failure with AOpen AX4C Max mobo, dual-chann...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-25 13:29 EDT by Tom Haws
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Haws 2003-08-25 13:29:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.2)
Gecko/20021120 Netscape/7.01

Description of problem:
Unable to install RH 9.0 on a new system. I kept getting either of the following
errors:

"Bad blocks have been detected on device /dev/hda2.  We do not recommend you use
this device."
-or-
"There was an error installing <some random package>.  This can indicate media
failure, lack of disk space, and/or hardware problems.  This is a fatal error
and your install will be aborted.  Please verify your media and try your install
again."

The source ISOs were downloaded from the net, the MD5 checksums checked before
burning, and each CD was tested during the install to ensure the media was not
at fault.  I tried several different hard drives, they all had the same problem.
 Windows XP Pro installed and ran fine, as I had to install Windows to run the
utility that upgrades the BIOS on the board.





Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Boot off the Red Hat Linux 9.0 CD #1
2.Select all the defaults, choose Server install, Everything
3.Wait for the packages to install
    

Actual Results:  The install died with the error messages:
"Bad blocks have been detected on device /dev/hda2.  We do not recommend you use
this device."
-or-
"There was an error installing <some random package>.  This can indicate media
failure, lack of disk space, and/or hardware problems.  This is a fatal error
and your install will be aborted.  Please verify your media and try your install
again."


Expected Results:  Red Hat Linux should have installed.

Additional info:

Here are the hardware details:
-AOpen AC4X Max mobo (i875P/ICH5R)
-P4 2.4GHz with MultiThreading
-512MB Dual-channel DDR 400MHz Kingston ValueRAM (KVR400X64C3AK2/512)
-AOpen TNT2 M64 32MB video card
-on-board Broadcomm Gigabit LAN
-Maxtor DiamondMax Plus 8 40GB ATA133 drive, on ATA100 IDE channel (the one I'm
trying to install RH 9 to)
-Maxtor DiamondMax Plus 9 80GB ATA133 drive, on ATA100 IDE channel (present, but
not used for the install, although I did try the install here, and it failed the
same way)
-2xDLink DGE-510T Gigabit LAN cards
-Adaptec AVA-29160 SCSI card

At Rick Steven's (rstevens@vitalstream.com) suggestion, I did the following:
-used ext2 filesystems for the install, instead of the default ext3
-turned off the apmd during the install:
   - boot: linux noapmd

This still did not fix it.  I still had the same problems. 
I was about to give up when I saw Michael Fortenberry's post here:
https://www.redhat.com/archives/redhat-install-list/2003-August/msg00832.html
He mentioned that just moving a RAM DIMM from one slot to another fixed his
problem with data errors on install.  So I moved one DIMM from the "memory pair"
slot that would enable dual-channel mode, to the adjacent slot to the other
DIMM.  In this way, I still had 512MB of DDR RAM, but just not dual-channel.

Lo and behold, it worked!!!!

Did several more installs from scratch, just to make sure it was not a fluke,
and tried several other combinations of filesystem types and apmd settings, and
this seems to be the only way I can install RH 9 with this hardware:
-dual-channel RAM mode disabled
-install to ext2 filesystems only
-turn off apmd daemon at install time, with "linux noapmd"

I had HyperThreading turned off in the BIOS for all the installs, so I'm not
sure if this enters into the picture at all...

Interesting to note that once I had the OS installed, I can move the RAM back to
dual-channel mode and it works fine, lending more credence to Rick Stevens'
assertion that anaconda might be the source of the problem.
Comment 1 Michael Fulbright 2003-08-25 15:14:14 EDT
This sounds like a chipset/kernel issue.
Comment 2 Loran Calvin 2003-09-05 16:07:22 EDT
I have been trying to install Red Hat Linux 9.0 on my new IBM Server 
Model #848094X from the graphical installer.  Each time that I have 
tried the install I selected to Manually Partition with Disk Druid. 
 And have been creating 3 partitions:  a boot partition, a swap 
partition, and a root fiesystem partition.  And each time I have 
checked the 'Force to be a primary partition' check box and the
 'Check for bad blocks' check box.  It starts checking for bad blocks
 on the root partition first and each time it finishes with an error
 message:  "Bad blocks have been detected on device /dev/hda3.  We do
 not recommend you use this device."  Press <Enter> to reboot your 
system.  So I called IBM and they sent me another Drive.  The first 
drive was manufactured by Hitachi and the second by Seagate.  When I 
did the install with the Seagate drive the first time I didn't get the 
error message for bad blocks; however, when I decided to install the 
additional CD's:  first the documentation CD and then the Multimedia 
and Office Applications CD the CD-ROM drive locked up and I couldn't 
get the Multimedia CD out of the CD-ROM drive.  I ended up turning off
 the power to the computer and when I started it up again there was 
some kind of problem so I decided to re-install.  This next time I got 
the bad block errors as before.   Can you please advise concerning a 
fix to this problem.

Loran Calvin
Comment 3 Bugzilla owner 2004-09-30 11:41:28 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.